Bug 854846 - [RFE] Add a rhevm-info tool for version + build name + any other important short details
[RFE] Add a rhevm-info tool for version + build name + any other important sh...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.0.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miki Kenneth
yeylon@redhat.com
infra
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 02:46 EDT by Rami Vaknin
Modified: 2016-04-18 02:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 03:39:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rami Vaknin 2012-09-06 02:46:01 EDT
Description of enhancement request:

Almost any Linux application has a "-v/--version" option in order to query its version alnog with the rpm version.

I would prefer to have such tool for rhevm, and to get info with constant structure so I can use it in my scripts to get for instance:

Product name: Red Hat Enterprise Virtualization Management
Version: 3.1
Build: si17
...
Comment 1 Itamar Heim 2012-09-06 03:16:27 EDT
i wonder if this should be part of an engine tool, or just an option in the shell for getting engine details
Comment 2 Rami Vaknin 2012-09-06 03:37:30 EDT
It could be part of rhevm-shell as long as it does not require connection + credentials, however I think that it should be part of the tools.
Comment 3 Itamar Heim 2013-12-01 03:39:12 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.